Skip to content
Start here

Create mapping

zero_trust.dlp.email.account_mapping.create(AccountMappingCreateParams**kwargs) -> AccountMappingCreateResponse
POST/accounts/{account_id}/dlp/email/account_mapping

Creates a mapping between a Cloudflare account and an email provider for DLP email scanning integration.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
account_id: str
auth_requirements: AuthRequirements
One of the following:
class AuthRequirementsUnionMember0:
allowed_microsoft_organizations: SequenceNotStr[str]
type: Literal["Org"]
class AuthRequirementsType:
type: Literal["NoAuth"]
ReturnsExpand Collapse
class AccountMappingCreateResponse:
addin_identifier_token: str
formatuuid
auth_requirements: AuthRequirements
One of the following:
class AuthRequirementsUnionMember0:
allowed_microsoft_organizations: List[str]
type: Literal["Org"]
class AuthRequirementsType:
type: Literal["NoAuth"]

Create mapping

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
account_mapping = client.zero_trust.dlp.email.account_mapping.create(
    account_id="account_id",
    auth_requirements={
        "allowed_microsoft_organizations": ["string"],
        "type": "Org",
    },
)
print(account_mapping.addin_identifier_token)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "addin_identifier_token": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "auth_requirements": {
      "allowed_microsoft_organizations": [
        "string"
      ],
      "type": "Org"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "addin_identifier_token": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "auth_requirements": {
      "allowed_microsoft_organizations": [
        "string"
      ],
      "type": "Org"
    }
  }
}